// player.inc - include file for romagic1.

#declare T_Shield1 = texture
{
   pigment
   {
      agate
      color_map
      {
         [ 0.0 rgbt <0  ,0  ,0  ,0.2> ]
         [ 0.3 rgbt <0.9,0  ,0  ,0.2> ]
         [ 0.4 rgbt <0  ,0  ,3  ,0.1>   ]
         [ 0.6 rgbt <0  ,0.5,0  ,0.2> ]
         [ 0.9 rgbt <0  ,0  ,0.5,0.3> ]
      }
   }
}

#declare T_Shield2 = texture
{
   pigment
   {
      bozo
      color_map
      {
         [ 0.0 rgbt <0  ,0  ,0  ,0.3> ]
         [ 0.3 rgbt <0  ,0.9,0  ,0.3> ]
         [ 0.4 rgbt <3  ,0  ,0  ,0.1>   ]
         [ 0.6 rgbt <0  ,0  ,0.5,0.3> ]
         [ 0.9 rgbt <0.5,0  ,0  ,0.4> ]
      }
   }
}

#declare Shield1 = sphere
{
   0,1.6
   texture { T_Shield1 }
   finish { ambient 1 diffuse 0 }
}

#declare Shield2 = sphere
{
   0,1.5
   texture { T_Shield2 }
   finish { ambient 1 diffuse 0 }
}

#declare Staff1 = union
{
   cylinder
   {
      <0,0,-1>,<0,0,1>,0.05
      texture { T_Wood3 }
   }
   sphere
   {
      <0,0,-1>,0.07
      texture { pigment {Green}}
   }
   translate 0.2*x
}

#declare Staff2 = union
{
   cylinder
   {
      <0,0,-1>,<0,0,1>,0.05
      texture { T_Wood3 }
   }
   sphere
   {
      <0,0,-1>,0.07
      texture { pigment {Red}}
   }
   sphere
   {
      <0,0,-1>,0.09
      texture
      {
        #include "electric.inc"
        scale 0.4
      }
      texture
      {
        #include "electric.inc"
        scale 0.4
        rotate 45
      }
   }
   translate 0.2*x
}

#declare Shroud = union
{
   cylinder { <0,0,0>,<-2.0,0,0>,0.1 }
   cylinder { <0,0,0>,<-2.0,0,0>,0.1 rotate   5*z}
   cylinder { <0,0,0>,<-2.0,0,0>,0.1 rotate  -5*z}
   cylinder { <0,0,0>,<-2.0,0,0>,0.1 rotate  10*z}
   cylinder { <0,0,0>,<-2.0,0,0>,0.1 rotate -10*z}
   rotate -15*x
   rotate 15*y
   translate -1*z
   texture
   {
      Lightening1
      finish { ambient 1 }
      scale 0.1
      rotate 5
   }
}

#declare Player1 = union
{
   object { Shield1 translate y*1 }
   object { Staff1 translate <0,1.2,-1> rotate -30*y }
   object { Shroud translate <0,1.2,-1> rotate -25*y }
   superellipsoid
   {
      <0.75,0.25>
      texture { pigment {Gray30} }
      scale <2,1,3>*0.4
      rotate 90*x
      translate 1*y
   }
}

#declare Player2 = union
{
   object { Shield2 translate y*1 }
   object { Staff2 translate <0,1.2,-1> rotate 180*y rotate -15*x }
   superellipsoid
   {
      <0.75,0.25>
      texture { pigment {Gray30} }
      scale <2,1,3>*0.4
      rotate 85*x
      translate 1*y
   }
}
